-- Adding amenities to all AI cities for all eras (1-3 per difficulty, adding up all the ones below)

INSERT INTO TraitModifiers 
		(TraitType,					ModifierId) 
VALUES	('TRAIT_LEADER_MAJOR_CIV',	'PRINCE_AMENITY'),
		('TRAIT_LEADER_MAJOR_CIV',	'KING_AMENITY'),
		('TRAIT_LEADER_MAJOR_CIV',	'EMPEROR_AMENITY'),
		('TRAIT_LEADER_MAJOR_CIV',	'IMMORTAL_AMENITY'),
		('TRAIT_LEADER_MAJOR_CIV',	'DEITY_AMENITY'),
		('TRAIT_LEADER_MAJOR_CIV',	'CREATOR_AMENITY'),
		('TRAIT_LEADER_MAJOR_CIV',	'MADMAN_AMENITY');

INSERT INTO Modifiers 
		(ModifierId,			ModifierType,										OwnerRequirementSetId) 
VALUES	('PRINCE_AMENITY',		'MODIFIER_PLAYER_CITIES_ADJUST_POLICY_AMENITY',		'PRINCE_AND_ANCIENT'),
		('KING_AMENITY',		'MODIFIER_PLAYER_CITIES_ADJUST_POLICY_AMENITY',		'KING_AND_ANCIENT'),
		('EMPEROR_AMENITY',		'MODIFIER_PLAYER_CITIES_ADJUST_POLICY_AMENITY',		'EMPEROR_AND_ANCIENT'),
		('IMMORTAL_AMENITY',		'MODIFIER_PLAYER_CITIES_ADJUST_POLICY_AMENITY',		'IMMORTAL_AND_ANCIENT'),
		('DEITY_AMENITY',		'MODIFIER_PLAYER_CITIES_ADJUST_POLICY_AMENITY',		'DEITY_AND_ANCIENT'),
		('CREATOR_AMENITY',		'MODIFIER_PLAYER_CITIES_ADJUST_POLICY_AMENITY',		'CREATOR_AND_ANCIENT'),
		('MADMAN_AMENITY',		'MODIFIER_PLAYER_CITIES_ADJUST_POLICY_AMENITY',		'MADMAN_AND_ANCIENT');

INSERT INTO ModifierArguments 
		(ModifierId,			Name,		Value) 
VALUES	('PRINCE_AMENITY',		'Amount',	1),
		('KING_AMENITY',		'Amount',	1),
		('EMPEROR_AMENITY',		'Amount',	2),
		('IMMORTAL_AMENITY',		'Amount',	3),
		('DEITY_AMENITY',		'Amount',	3),
		('CREATOR_AMENITY',		'Amount',	3),
		('MADMAN_AMENITY',		'Amount',	3);

--Requirement Sets
INSERT INTO RequirementSets 
		(RequirementSetId,			RequirementSetType) 
VALUES	('PRINCE_AND_ANCIENT',		'REQUIREMENTSET_TEST_ALL'),
		('KING_AND_ANCIENT',		'REQUIREMENTSET_TEST_ALL'),
		('EMPEROR_AND_ANCIENT',		'REQUIREMENTSET_TEST_ALL'),
		('IMMORTAL_AND_ANCIENT', 'REQUIREMENTSET_TEST_ALL'),
		('DEITY_AND_ANCIENT',		'REQUIREMENTSET_TEST_ALL'),
		('CREATOR_AND_ANCIENT', 'REQUIREMENTSET_TEST_ALL'),
		('MADMAN_AND_ANCIENT',		'REQUIREMENTSET_TEST_ALL');

INSERT INTO RequirementSetRequirements 
		(RequirementSetId,			RequirementId) 
VALUES	('PRINCE_AND_ANCIENT',		'REQUIRES_PLAYER_IS_AI'),
		('PRINCE_AND_ANCIENT',		'REQUIRES_PRINCE'),
		('KING_AND_ANCIENT',		'REQUIRES_PLAYER_IS_AI'),
		('KING_AND_ANCIENT',		'REQUIRES_KING'),
		('EMPEROR_AND_ANCIENT',		'REQUIRES_PLAYER_IS_AI'),
		('EMPEROR_AND_ANCIENT',		'REQUIRES_EMPEROR'),
		('IMMORTAL_AND_ANCIENT', 'REQUIRES_PLAYER_IS_AI'),
		('IMMORTAL_AND_ANCIENT', 'REQUIRES_IMMORTAL'),
		('DEITY_AND_ANCIENT',		'REQUIRES_PLAYER_IS_AI'),
		('DEITY_AND_ANCIENT',		'REQUIRES_DEITY'),
		('CREATOR_AND_ANCIENT', 'REQUIRES_PLAYER_IS_AI'),
		('CREATOR_AND_ANCIENT', 'REQUIRES_CREATOR'),
		('MADMAN_AND_ANCIENT',		'REQUIRES_PLAYER_IS_AI'),
		('MADMAN_AND_ANCIENT',		'REQUIRES_MADMAN');