-- define tourism, space race project production and food scaling and set the base scaling per difficulty above warlord

INSERT INTO Modifiers 
		('ModifierId',						'ModifierType',											'OwnerRequirementSetId')
VALUES	('HIGH_DIFFICULTY_FOOD_SCALING',	'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'PLAYER_IS_HIGH_DIFFICULTY_AI');

INSERT INTO ModifierArguments 
		('ModifierId',							'Name',			'Type',							'Value',		'Extra',	'SecondExtra')
VALUES	('HIGH_DIFFICULTY_FOOD_SCALING',	'Amount',		'LinearScaleFromDefaultHandicap',	0,				2,			NULL),
		('HIGH_DIFFICULTY_FOOD_SCALING',	'YieldType',	'ARGTYPE_IDENTITY',					'YIELD_FOOD',	NULL,		NULL);

INSERT INTO TraitModifiers 
VALUES	('TRAIT_LEADER_MAJOR_CIV',	'HIGH_DIFFICULTY_FOOD_SCALING');

INSERT INTO TraitModifiers (TraitType, ModifierId) VALUES
('TRAIT_LEADER_MAJOR_CIV', 'HIGH_DIFFICULTY_TOURISM_SCALING');

INSERT INTO Modifiers (ModifierId, ModifierType, OwnerRequirementSetId) VALUES
('HIGH_DIFFICULTY_TOURISM_SCALING', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'PLAYER_IS_HIGH_DIFFICULTY_AI');

INSERT INTO ModifierArguments (ModifierId, Name, Type, Value, Extra) VALUES
('HIGH_DIFFICULTY_TOURISM_SCALING', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 0);

INSERT INTO TraitModifiers (TraitType, ModifierId) VALUES
('TRAIT_LEADER_MAJOR_CIV', 'SCIENCE_VP_FUTURE');

INSERT INTO Modifiers (ModifierId, ModifierType, OwnerRequirementSetId) VALUES
('SCIENCE_VP_FUTURE', 'MODIFIER_PLAYER_ADJUST_SCIENCE_VICTORY_POINTS_PER_TURN', 'HIGH_DIFFICULTY_AI_FUTURE');

INSERT INTO ModifierArguments (ModifierId, Name, Type, Value, Extra) VALUES
('SCIENCE_VP_FUTURE', 'Amount', 'LinearScaleFromDefaultHandicap', 1, 0);

INSERT INTO TraitModifiers (TraitType, ModifierId) VALUES
('TRAIT_LEADER_MAJOR_CIV', 'SCIENCE_VP_FUTURE_DEITY');

INSERT INTO Modifiers (ModifierId, ModifierType, OwnerRequirementSetId) VALUES
('SCIENCE_VP_FUTURE_DEITY', 'MODIFIER_PLAYER_ADJUST_SCIENCE_VICTORY_POINTS_PER_TURN', 'HIGH_DIFFICULTY_AI_FUTURE_CREATOR');

INSERT INTO ModifierArguments (ModifierId, Name, Type, Value, Extra) VALUES
('SCIENCE_VP_FUTURE_DEITY', 'Amount', 'LinearScaleFromDefaultHandicap', 1, 0);

-- give AI 1 extra religious spread on Emperor, Deity and Insane

INSERT INTO TraitModifiers (TraitType, ModifierId) VALUES
('TRAIT_LEADER_MAJOR_CIV', 'RELIGIOUS_SPREADS_SCALING');

INSERT INTO Modifiers (ModifierId, ModifierType, OwnerRequirementSetId, Permanent) VALUES
('RELIGIOUS_SPREADS_SCALING', 'MODIFIER_PLAYER_UNITS_RELIGIOUS_SPREADS', 'HIGH_DIFFICULTY_AI_IMMORTAL', 1);

INSERT INTO ModifierArguments (ModifierId, Name, Type, Value, Extra) VALUES
('RELIGIOUS_SPREADS_SCALING', 'Amount', 'LinearScaleFromDefaultHandicap', -3, 1);

INSERT INTO Modifiers 
		(ModifierId,						ModifierType,											OwnerRequirementSetId) 
VALUES		('AMENITY_SCALING_RENAISSANCE', 'MODIFIER_PLAYER_CITIES_ADJUST_POLICY_AMENITY', 'HIGH_DIFFICULTY_AI_RENAISSANCE'),
		('AMENITY_SCALING_ATOMIC', 'MODIFIER_PLAYER_CITIES_ADJUST_POLICY_AMENITY', 'HIGH_DIFFICULTY_AI_ATOMIC'),
		('TOURISM_SCALING_CLASSICAL', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_CLASSICAL_ERA'),
		('TOURISM_SCALING_MEDIEVAL', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_MEDIEVAL_ERA'),
		('TOURISM_SCALING_RENAISSANCE', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_RENAISSANCE_ERA'),
		('TOURISM_SCALING_INDUSTRIAL', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_INDUSTRIAL_ERA'),
		('TOURISM_SCALING_MODERN', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_MODERN_ERA'),
		('TOURISM_SCALING_ATOMIC', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_ATOMIC_ERA'),
		('TOURISM_SCALING_INFO', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_INFO_ERA'),
		('TOURISM_SCALING_FUTURE', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_FUTURE_ERA'),
		('TOURISM_SCALING_CLASSICAL_PLAYER', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_CLASSICAL'),
		('TOURISM_SCALING_MEDIEVAL_PLAYER', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_MEDIEVAL'),
		('TOURISM_SCALING_RENAISSANCE_PLAYER', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_RENAISSANCE'),
		('TOURISM_SCALING_INDUSTRIAL_PLAYER', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_INDUSTRIAL'),
		('TOURISM_SCALING_MODERN_PLAYER', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_MODERN'),
		('TOURISM_SCALING_ATOMIC_PLAYER', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_ATOMIC'),
		('TOURISM_SCALING_INFO_PLAYER', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_INFO'),
		('TOURISM_SCALING_FUTURE_PLAYER', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_FUTURE'),
		('TOURISM_SCALING_CLASSICAL_PLAYER_DEITY', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_CLASSICAL_DEITY'),
		('TOURISM_SCALING_MEDIEVAL_PLAYER_DEITY', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_MEDIEVAL_DEITY'),
		('TOURISM_SCALING_RENAISSANCE_PLAYER_DEITY', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_RENAISSANCE_DEITY'),
		('TOURISM_SCALING_INDUSTRIAL_PLAYER_DEITY', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_INDUSTRIAL_DEITY'),
		('TOURISM_SCALING_MODERN_PLAYER_DEITY', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_MODERN_DEITY'),
		('TOURISM_SCALING_ATOMIC_PLAYER_DEITY', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_ATOMIC_DEITY'),
		('TOURISM_SCALING_INFO_PLAYER_DEITY', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_INFO_DEITY'),
		('TOURISM_SCALING_FUTURE_PLAYER_DEITY', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_FUTURE_DEITY'),
		('TOURISM_SCALING_CLASSICAL_PLAYER_CREATOR', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_CLASSICAL_CREATOR'),
		('TOURISM_SCALING_MEDIEVAL_PLAYER_CREATOR', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_MEDIEVAL_CREATOR'),
		('TOURISM_SCALING_RENAISSANCE_PLAYER_CREATOR', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_RENAISSANCE_CREATOR'),
		('TOURISM_SCALING_INDUSTRIAL_PLAYER_CREATOR', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_INDUSTRIAL_CREATOR'),
		('TOURISM_SCALING_MODERN_PLAYER_CREATOR', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_MODERN_CREATOR'),
		('TOURISM_SCALING_ATOMIC_PLAYER_CREATOR', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_ATOMIC_CREATOR'),
		('TOURISM_SCALING_INFO_PLAYER_CREATOR', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_INFO_CREATOR'),
		('TOURISM_SCALING_FUTURE_PLAYER_CREATOR', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_FUTURE_CREATOR'),
		('TOURISM_SCALING_CLASSICAL_PLAYER_MADMAN', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_CLASSICAL_MADMAN'),
		('TOURISM_SCALING_MEDIEVAL_PLAYER_MADMAN', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_MEDIEVAL_MADMAN'),
		('TOURISM_SCALING_RENAISSANCE_PLAYER_MADMAN', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_RENAISSANCE_MADMAN'),
		('TOURISM_SCALING_INDUSTRIAL_PLAYER_MADMAN', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_INDUSTRIAL_MADMAN'),
		('TOURISM_SCALING_MODERN_PLAYER_MADMAN', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_MODERN_MADMAN'),
		('TOURISM_SCALING_ATOMIC_PLAYER_MADMAN', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_ATOMIC_MADMAN'),
		('TOURISM_SCALING_INFO_PLAYER_MADMAN', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_INFO_MADMAN'),
		('TOURISM_SCALING_FUTURE_PLAYER_MADMAN', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_FUTURE_MADMAN'),
		('SCIENCE_SCALING_CLASSICAL',		'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_CLASSICAL_ERA'),
		('SCIENCE_SCALING_MEDIEVAL',		'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_MEDIEVAL_ERA'),
		('SCIENCE_SCALING_RENAISSANCE',		'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_RENAISSANCE_ERA'),
		('SCIENCE_SCALING_INDUSTRIAL',		'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_INDUSTRIAL_ERA'),
		('SCIENCE_SCALING_MODERN',			'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_MODERN_ERA'),
		('SCIENCE_SCALING_ATOMIC',			'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_ATOMIC_ERA'),
		('SCIENCE_SCALING_INFO',			'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_INFO_ERA'),
		('SCIENCE_SCALING_FUTURE',			'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_FUTURE_ERA'),
		('CULTURE_SCALING_CLASSICAL',		'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_CLASSICAL_ERA'),
		('CULTURE_SCALING_MEDIEVAL',		'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_MEDIEVAL_ERA'),
		('CULTURE_SCALING_RENAISSANCE',		'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_RENAISSANCE_ERA'),
		('CULTURE_SCALING_INDUSTRIAL',		'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_INDUSTRIAL_ERA'),
		('CULTURE_SCALING_MODERN',			'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_MODERN_ERA'),
		('CULTURE_SCALING_ATOMIC',			'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_ATOMIC_ERA'),
		('CULTURE_SCALING_INFO',			'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_INFO_ERA'),
		('CULTURE_SCALING_FUTURE',			'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_FUTURE_ERA'),
		('SCIENCE_SCALING_CLASSICAL_DEITY',		'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_CLASSICAL_DEITY'),
		('SCIENCE_SCALING_MEDIEVAL_DEITY',		'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_MEDIEVAL_DEITY'),
		('SCIENCE_SCALING_RENAISSANCE_DEITY',		'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_RENAISSANCE_DEITY'),
		('SCIENCE_SCALING_INDUSTRIAL_DEITY',		'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_INDUSTRIAL_DEITY'),
		('SCIENCE_SCALING_MODERN_DEITY',		'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_MODERN_DEITY'),
		('SCIENCE_SCALING_ATOMIC_DEITY',		'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_ATOMIC_DEITY'),
		('SCIENCE_SCALING_INFO_DEITY',			'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_INFO_DEITY'),
		('SCIENCE_SCALING_FUTURE_DEITY',		'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_FUTURE_DEITY'),
		('CULTURE_SCALING_CLASSICAL_DEITY',		'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_CLASSICAL_DEITY'),
		('CULTURE_SCALING_MEDIEVAL_DEITY',		'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_MEDIEVAL_DEITY'),
		('CULTURE_SCALING_RENAISSANCE_DEITY',		'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_RENAISSANCE_DEITY'),
		('CULTURE_SCALING_INDUSTRIAL_DEITY',		'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_INDUSTRIAL_DEITY'),
		('CULTURE_SCALING_MODERN_DEITY',		'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_MODERN_DEITY'),
		('CULTURE_SCALING_ATOMIC_DEITY',		'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_ATOMIC_DEITY'),
		('CULTURE_SCALING_INFO_DEITY',			'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_INFO_DEITY'),
		('CULTURE_SCALING_FUTURE_DEITY',		'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_FUTURE_DEITY'),
		('FAITH_SCALING_CLASSICAL',			'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_CLASSICAL'),
		('FAITH_SCALING_MEDIEVAL',			'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_MEDIEVAL'),
		('FAITH_SCALING_RENAISSANCE',		'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_RENAISSANCE'),
		('FAITH_SCALING_INDUSTRIAL',		'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_INDUSTRIAL'),
		('FAITH_SCALING_MODERN',			'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_MODERN'),
		('FAITH_SCALING_ATOMIC',			'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_ATOMIC'),
		('FAITH_SCALING_INFO',				'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_INFO'),
		('FAITH_SCALING_FUTURE',			'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_FUTURE'),
		('PRODUCTION_SCALING_CLASSICAL',	'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_CLASSICAL'),
		('PRODUCTION_SCALING_MEDIEVAL',		'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_MEDIEVAL'),
		('PRODUCTION_SCALING_RENAISSANCE',	'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_RENAISSANCE'),
		('PRODUCTION_SCALING_INDUSTRIAL',	'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_INDUSTRIAL'),
		('PRODUCTION_SCALING_MODERN',		'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_MODERN'),
		('PRODUCTION_SCALING_ATOMIC',		'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_ATOMIC'),
		('PRODUCTION_SCALING_INFO',			'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_INFO'),
		('PRODUCTION_SCALING_FUTURE',		'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_FUTURE'),
		('GOLD_SCALING_CLASSICAL',			'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_CLASSICAL'),
		('GOLD_SCALING_MEDIEVAL',			'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_MEDIEVAL'),
		('GOLD_SCALING_RENAISSANCE',		'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_RENAISSANCE'),
		('GOLD_SCALING_INDUSTRIAL',			'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_INDUSTRIAL'),
		('GOLD_SCALING_MODERN',				'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_MODERN'),
		('GOLD_SCALING_ATOMIC',				'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_ATOMIC'),
		('GOLD_SCALING_INFO',				'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_INFO'),
		('GOLD_SCALING_FUTURE',				'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_FUTURE'),
		('FOOD_SCALING_CLASSICAL',			'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_CLASSICAL'),
		('FOOD_SCALING_MEDIEVAL',			'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_MEDIEVAL'),
		('FOOD_SCALING_RENAISSANCE',		'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_RENAISSANCE'),
		('FOOD_SCALING_INDUSTRIAL',			'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_INDUSTRIAL'),
		('FOOD_SCALING_MODERN',				'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_MODERN'),
		('FOOD_SCALING_ATOMIC',				'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_ATOMIC'),
		('FOOD_SCALING_INFO',				'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_INFO'),
		('FOOD_SCALING_FUTURE',				'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_FUTURE');

INSERT INTO TraitModifiers 
		(TraitType,						ModifierId) 
VALUES		('TRAIT_LEADER_MAJOR_CIV',		'AMENITY_SCALING_RENAISSANCE'),
		('TRAIT_LEADER_MAJOR_CIV',		'AMENITY_SCALING_ATOMIC'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_CLASSICAL'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_MEDIEVAL'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_RENAISSANCE'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_INDUSTRIAL'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_MODERN'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_ATOMIC'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_INFO'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_FUTURE'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_CLASSICAL_PLAYER'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_MEDIEVAL_PLAYER'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_RENAISSANCE_PLAYER'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_INDUSTRIAL_PLAYER'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_MODERN_PLAYER'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_ATOMIC_PLAYER'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_INFO_PLAYER'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_FUTURE_PLAYER'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_CLASSICAL_PLAYER_DEITY'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_MEDIEVAL_PLAYER_DEITY'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_RENAISSANCE_PLAYER_DEITY'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_INDUSTRIAL_PLAYER_DEITY'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_MODERN_PLAYER_DEITY'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_ATOMIC_PLAYER_DEITY'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_INFO_PLAYER_DEITY'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_FUTURE_PLAYER_DEITY'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_CLASSICAL_PLAYER_CREATOR'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_MEDIEVAL_PLAYER_CREATOR'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_RENAISSANCE_PLAYER_CREATOR'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_INDUSTRIAL_PLAYER_CREATOR'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_MODERN_PLAYER_CREATOR'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_ATOMIC_PLAYER_CREATOR'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_INFO_PLAYER_CREATOR'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_FUTURE_PLAYER_CREATOR'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_CLASSICAL_PLAYER_MADMAN'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_MEDIEVAL_PLAYER_MADMAN'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_RENAISSANCE_PLAYER_MADMAN'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_INDUSTRIAL_PLAYER_MADMAN'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_MODERN_PLAYER_MADMAN'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_ATOMIC_PLAYER_MADMAN'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_INFO_PLAYER_MADMAN'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_FUTURE_PLAYER_MADMAN'),
		('TRAIT_LEADER_MAJOR_CIV',		'SCIENCE_SCALING_CLASSICAL'),
		('TRAIT_LEADER_MAJOR_CIV',		'SCIENCE_SCALING_MEDIEVAL'),
		('TRAIT_LEADER_MAJOR_CIV',		'SCIENCE_SCALING_RENAISSANCE'),
		('TRAIT_LEADER_MAJOR_CIV',		'SCIENCE_SCALING_INDUSTRIAL'),
		('TRAIT_LEADER_MAJOR_CIV',		'SCIENCE_SCALING_MODERN'),
		('TRAIT_LEADER_MAJOR_CIV',		'SCIENCE_SCALING_ATOMIC'),
		('TRAIT_LEADER_MAJOR_CIV',		'SCIENCE_SCALING_INFO'),
		('TRAIT_LEADER_MAJOR_CIV',		'SCIENCE_SCALING_FUTURE'),
		('TRAIT_LEADER_MAJOR_CIV',		'CULTURE_SCALING_CLASSICAL'),
		('TRAIT_LEADER_MAJOR_CIV',		'CULTURE_SCALING_MEDIEVAL'),
		('TRAIT_LEADER_MAJOR_CIV',		'CULTURE_SCALING_RENAISSANCE'),
		('TRAIT_LEADER_MAJOR_CIV',		'CULTURE_SCALING_INDUSTRIAL'),
		('TRAIT_LEADER_MAJOR_CIV',		'CULTURE_SCALING_MODERN'),
		('TRAIT_LEADER_MAJOR_CIV',		'CULTURE_SCALING_ATOMIC'),
		('TRAIT_LEADER_MAJOR_CIV',		'CULTURE_SCALING_INFO'),
		('TRAIT_LEADER_MAJOR_CIV',		'CULTURE_SCALING_FUTURE'),
		('TRAIT_LEADER_MAJOR_CIV',		'SCIENCE_SCALING_CLASSICAL_DEITY'),
		('TRAIT_LEADER_MAJOR_CIV',		'SCIENCE_SCALING_MEDIEVAL_DEITY'),
		('TRAIT_LEADER_MAJOR_CIV',		'SCIENCE_SCALING_RENAISSANCE_DEITY'),
		('TRAIT_LEADER_MAJOR_CIV',		'SCIENCE_SCALING_INDUSTRIAL_DEITY'),
		('TRAIT_LEADER_MAJOR_CIV',		'SCIENCE_SCALING_MODERN_DEITY'),
		('TRAIT_LEADER_MAJOR_CIV',		'SCIENCE_SCALING_ATOMIC_DEITY'),
		('TRAIT_LEADER_MAJOR_CIV',		'SCIENCE_SCALING_INFO_DEITY'),
		('TRAIT_LEADER_MAJOR_CIV',		'SCIENCE_SCALING_FUTURE_DEITY'),
		('TRAIT_LEADER_MAJOR_CIV',		'CULTURE_SCALING_CLASSICAL_DEITY'),
		('TRAIT_LEADER_MAJOR_CIV',		'CULTURE_SCALING_MEDIEVAL_DEITY'),
		('TRAIT_LEADER_MAJOR_CIV',		'CULTURE_SCALING_RENAISSANCE_DEITY'),
		('TRAIT_LEADER_MAJOR_CIV',		'CULTURE_SCALING_INDUSTRIAL_DEITY'),
		('TRAIT_LEADER_MAJOR_CIV',		'CULTURE_SCALING_MODERN_DEITY'),
		('TRAIT_LEADER_MAJOR_CIV',		'CULTURE_SCALING_ATOMIC_DEITY'),
		('TRAIT_LEADER_MAJOR_CIV',		'CULTURE_SCALING_INFO_DEITY'),
		('TRAIT_LEADER_MAJOR_CIV',		'CULTURE_SCALING_FUTURE_DEITY'),
		('TRAIT_LEADER_MAJOR_CIV',		'FAITH_SCALING_CLASSICAL'),
		('TRAIT_LEADER_MAJOR_CIV',		'FAITH_SCALING_MEDIEVAL'),
		('TRAIT_LEADER_MAJOR_CIV',		'FAITH_SCALING_RENAISSANCE'),
		('TRAIT_LEADER_MAJOR_CIV',		'FAITH_SCALING_INDUSTRIAL'),
		('TRAIT_LEADER_MAJOR_CIV',		'FAITH_SCALING_MODERN'),
		('TRAIT_LEADER_MAJOR_CIV',		'FAITH_SCALING_ATOMIC'),
		('TRAIT_LEADER_MAJOR_CIV',		'FAITH_SCALING_INFO'),
		('TRAIT_LEADER_MAJOR_CIV',		'FAITH_SCALING_FUTURE'),
		('TRAIT_LEADER_MAJOR_CIV',		'PRODUCTION_SCALING_CLASSICAL'),
		('TRAIT_LEADER_MAJOR_CIV',		'PRODUCTION_SCALING_MEDIEVAL'),
		('TRAIT_LEADER_MAJOR_CIV',		'PRODUCTION_SCALING_RENAISSANCE'),
		('TRAIT_LEADER_MAJOR_CIV',		'PRODUCTION_SCALING_INDUSTRIAL'),
		('TRAIT_LEADER_MAJOR_CIV',		'PRODUCTION_SCALING_MODERN'),
		('TRAIT_LEADER_MAJOR_CIV',		'PRODUCTION_SCALING_ATOMIC'),
		('TRAIT_LEADER_MAJOR_CIV',		'PRODUCTION_SCALING_INFO'),
		('TRAIT_LEADER_MAJOR_CIV',		'PRODUCTION_SCALING_FUTURE'),
		('TRAIT_LEADER_MAJOR_CIV',		'GOLD_SCALING_CLASSICAL'),
		('TRAIT_LEADER_MAJOR_CIV',		'GOLD_SCALING_MEDIEVAL'),
		('TRAIT_LEADER_MAJOR_CIV',		'GOLD_SCALING_RENAISSANCE'),
		('TRAIT_LEADER_MAJOR_CIV',		'GOLD_SCALING_INDUSTRIAL'),
		('TRAIT_LEADER_MAJOR_CIV',		'GOLD_SCALING_MODERN'),
		('TRAIT_LEADER_MAJOR_CIV',		'GOLD_SCALING_ATOMIC'),
		('TRAIT_LEADER_MAJOR_CIV',		'GOLD_SCALING_INFO'),
		('TRAIT_LEADER_MAJOR_CIV',		'GOLD_SCALING_FUTURE'),
		('TRAIT_LEADER_MAJOR_CIV',		'FOOD_SCALING_CLASSICAL'),
		('TRAIT_LEADER_MAJOR_CIV',		'FOOD_SCALING_MEDIEVAL'),
		('TRAIT_LEADER_MAJOR_CIV',		'FOOD_SCALING_RENAISSANCE'),
		('TRAIT_LEADER_MAJOR_CIV',		'FOOD_SCALING_INDUSTRIAL'),
		('TRAIT_LEADER_MAJOR_CIV',		'FOOD_SCALING_MODERN'),
		('TRAIT_LEADER_MAJOR_CIV',		'FOOD_SCALING_ATOMIC'),
		('TRAIT_LEADER_MAJOR_CIV',		'FOOD_SCALING_INFO'),
		('TRAIT_LEADER_MAJOR_CIV',		'FOOD_SCALING_FUTURE');

INSERT INTO ModifierArguments 
		(ModifierId,						Name,			Value) 
VALUES	('SCIENCE_SCALING_CLASSICAL',		'YieldType',	'YIELD_SCIENCE'),
		('SCIENCE_SCALING_MEDIEVAL',		'YieldType',	'YIELD_SCIENCE'),
		('SCIENCE_SCALING_RENAISSANCE',		'YieldType',	'YIELD_SCIENCE'),
		('SCIENCE_SCALING_INDUSTRIAL',		'YieldType',	'YIELD_SCIENCE'),
		('SCIENCE_SCALING_MODERN',			'YieldType',	'YIELD_SCIENCE'),
		('SCIENCE_SCALING_ATOMIC',			'YieldType',	'YIELD_SCIENCE'),
		('SCIENCE_SCALING_INFO',			'YieldType',	'YIELD_SCIENCE'),
		('SCIENCE_SCALING_FUTURE',			'YieldType',	'YIELD_SCIENCE'),
		('CULTURE_SCALING_CLASSICAL',		'YieldType',	'YIELD_CULTURE'),
		('CULTURE_SCALING_MEDIEVAL',		'YieldType',	'YIELD_CULTURE'),
		('CULTURE_SCALING_RENAISSANCE',		'YieldType',	'YIELD_CULTURE'),
		('CULTURE_SCALING_INDUSTRIAL',		'YieldType',	'YIELD_CULTURE'),
		('CULTURE_SCALING_MODERN',			'YieldType',	'YIELD_CULTURE'),
		('CULTURE_SCALING_ATOMIC',			'YieldType',	'YIELD_CULTURE'),
		('CULTURE_SCALING_INFO',			'YieldType',	'YIELD_CULTURE'),
		('CULTURE_SCALING_FUTURE',			'YieldType',	'YIELD_CULTURE'),
		('SCIENCE_SCALING_MEDIEVAL_DEITY',		'YieldType',	'YIELD_SCIENCE'),
		('SCIENCE_SCALING_CLASSICAL_DEITY',		'YieldType',	'YIELD_SCIENCE'),
		('SCIENCE_SCALING_RENAISSANCE_DEITY',		'YieldType',	'YIELD_SCIENCE'),
		('SCIENCE_SCALING_INDUSTRIAL_DEITY',		'YieldType',	'YIELD_SCIENCE'),
		('SCIENCE_SCALING_MODERN_DEITY',			'YieldType',	'YIELD_SCIENCE'),
		('SCIENCE_SCALING_ATOMIC_DEITY',			'YieldType',	'YIELD_SCIENCE'),
		('SCIENCE_SCALING_INFO_DEITY',			'YieldType',	'YIELD_SCIENCE'),
		('SCIENCE_SCALING_FUTURE_DEITY',			'YieldType',	'YIELD_SCIENCE'),
		('CULTURE_SCALING_CLASSICAL_DEITY',		'YieldType',	'YIELD_CULTURE'),
		('CULTURE_SCALING_MEDIEVAL_DEITY',		'YieldType',	'YIELD_CULTURE'),
		('CULTURE_SCALING_RENAISSANCE_DEITY',		'YieldType',	'YIELD_CULTURE'),
		('CULTURE_SCALING_INDUSTRIAL_DEITY',		'YieldType',	'YIELD_CULTURE'),
		('CULTURE_SCALING_MODERN_DEITY',			'YieldType',	'YIELD_CULTURE'),
		('CULTURE_SCALING_ATOMIC_DEITY',			'YieldType',	'YIELD_CULTURE'),
		('CULTURE_SCALING_INFO_DEITY',			'YieldType',	'YIELD_CULTURE'),
		('CULTURE_SCALING_FUTURE_DEITY',			'YieldType',	'YIELD_CULTURE'),
		('FAITH_SCALING_CLASSICAL',			'YieldType',	'YIELD_FAITH'),
		('FAITH_SCALING_MEDIEVAL',			'YieldType',	'YIELD_FAITH'),
		('FAITH_SCALING_RENAISSANCE',		'YieldType',	'YIELD_FAITH'),
		('FAITH_SCALING_INDUSTRIAL',		'YieldType',	'YIELD_FAITH'),
		('FAITH_SCALING_MODERN',			'YieldType',	'YIELD_FAITH'),
		('FAITH_SCALING_ATOMIC',			'YieldType',	'YIELD_FAITH'),
		('FAITH_SCALING_INFO',				'YieldType',	'YIELD_FAITH'),
		('FAITH_SCALING_FUTURE',			'YieldType',	'YIELD_FAITH'),
		('PRODUCTION_SCALING_CLASSICAL',	'YieldType',	'YIELD_PRODUCTION'),
		('PRODUCTION_SCALING_MEDIEVAL',		'YieldType',	'YIELD_PRODUCTION'),
		('PRODUCTION_SCALING_RENAISSANCE',	'YieldType',	'YIELD_PRODUCTION'),
		('PRODUCTION_SCALING_INDUSTRIAL',	'YieldType',	'YIELD_PRODUCTION'),
		('PRODUCTION_SCALING_MODERN',		'YieldType',	'YIELD_PRODUCTION'),
		('PRODUCTION_SCALING_ATOMIC',		'YieldType',	'YIELD_PRODUCTION'),
		('PRODUCTION_SCALING_INFO',			'YieldType',	'YIELD_PRODUCTION'),
		('PRODUCTION_SCALING_FUTURE',		'YieldType',	'YIELD_PRODUCTION'),
		('GOLD_SCALING_CLASSICAL',			'YieldType',	'YIELD_GOLD'),
		('GOLD_SCALING_MEDIEVAL',			'YieldType',	'YIELD_GOLD'),
		('GOLD_SCALING_RENAISSANCE',		'YieldType',	'YIELD_GOLD'),
		('GOLD_SCALING_INDUSTRIAL',			'YieldType',	'YIELD_GOLD'),
		('GOLD_SCALING_MODERN',				'YieldType',	'YIELD_GOLD'),
		('GOLD_SCALING_ATOMIC',				'YieldType',	'YIELD_GOLD'),
		('GOLD_SCALING_INFO',				'YieldType',	'YIELD_GOLD'),
		('GOLD_SCALING_FUTURE',				'YieldType',	'YIELD_GOLD'),
		('FOOD_SCALING_CLASSICAL',			'YieldType',	'YIELD_FOOD'),
		('FOOD_SCALING_MEDIEVAL',			'YieldType',	'YIELD_FOOD'),
		('FOOD_SCALING_RENAISSANCE',		'YieldType',	'YIELD_FOOD'),
		('FOOD_SCALING_INDUSTRIAL',			'YieldType',	'YIELD_FOOD'),
		('FOOD_SCALING_MODERN',				'YieldType',	'YIELD_FOOD'),
		('FOOD_SCALING_ATOMIC',				'YieldType',	'YIELD_FOOD'),
		('FOOD_SCALING_INFO',				'YieldType',	'YIELD_FOOD'),
		('FOOD_SCALING_FUTURE',				'YieldType',	'YIELD_FOOD');

INSERT INTO ModifierArguments 
		(ModifierId,						Name,		Type,								Value,	Extra) 
VALUES	('AMENITY_SCALING_RENAISSANCE', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 0),
		('AMENITY_SCALING_ATOMIC', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 0),
		('TOURISM_SCALING_CLASSICAL', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 0),
		('TOURISM_SCALING_MEDIEVAL', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 0),
		('TOURISM_SCALING_RENAISSANCE', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 0),
		('TOURISM_SCALING_INDUSTRIAL', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 0),
		('TOURISM_SCALING_MODERN', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 0),
		('TOURISM_SCALING_ATOMIC', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 0),
		('TOURISM_SCALING_INFO', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 0),
		('TOURISM_SCALING_FUTURE', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 0),
		('TOURISM_SCALING_CLASSICAL_PLAYER', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 1),
		('TOURISM_SCALING_MEDIEVAL_PLAYER', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 3),
		('TOURISM_SCALING_RENAISSANCE_PLAYER', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 5),
		('TOURISM_SCALING_INDUSTRIAL_PLAYER', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 10),
		('TOURISM_SCALING_MODERN_PLAYER', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 15),
		('TOURISM_SCALING_ATOMIC_PLAYER', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 20),
		('TOURISM_SCALING_INFO_PLAYER', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 25),
		('TOURISM_SCALING_FUTURE_PLAYER', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 30),
		('TOURISM_SCALING_CLASSICAL_PLAYER_DEITY', 'Amount', 'LinearScaleFromDefaultHandicap', 38, -2),
		('TOURISM_SCALING_MEDIEVAL_PLAYER_DEITY', 'Amount', 'LinearScaleFromDefaultHandicap', 38, 1),
		('TOURISM_SCALING_RENAISSANCE_PLAYER_DEITY', 'Amount', 'LinearScaleFromDefaultHandicap', 38, 4),
		('TOURISM_SCALING_INDUSTRIAL_PLAYER_DEITY', 'Amount', 'LinearScaleFromDefaultHandicap', 38, 4),
		('TOURISM_SCALING_MODERN_PLAYER_DEITY', 'Amount', 'LinearScaleFromDefaultHandicap', 38, 4),
		('TOURISM_SCALING_ATOMIC_PLAYER_DEITY', 'Amount', 'LinearScaleFromDefaultHandicap', 38, 4),
		('TOURISM_SCALING_INFO_PLAYER_DEITY', 'Amount', 'LinearScaleFromDefaultHandicap', 38, 9),
		('TOURISM_SCALING_FUTURE_PLAYER_DEITY', 'Amount', 'LinearScaleFromDefaultHandicap', 38, 14),
		('TOURISM_SCALING_CLASSICAL_PLAYER_CREATOR', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 0),
		('TOURISM_SCALING_MEDIEVAL_PLAYER_CREATOR', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 0),
		('TOURISM_SCALING_RENAISSANCE_PLAYER_CREATOR', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 0),
		('TOURISM_SCALING_INDUSTRIAL_PLAYER_CREATOR', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 0),
		('TOURISM_SCALING_MODERN_PLAYER_CREATOR', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 0),
		('TOURISM_SCALING_ATOMIC_PLAYER_CREATOR', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 0),
		('TOURISM_SCALING_INFO_PLAYER_CREATOR', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 0),
		('TOURISM_SCALING_FUTURE_PLAYER_CREATOR', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 0),
		('TOURISM_SCALING_CLASSICAL_PLAYER_MADMAN', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 0),
		('TOURISM_SCALING_MEDIEVAL_PLAYER_MADMAN', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 0),
		('TOURISM_SCALING_RENAISSANCE_PLAYER_MADMAN', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 0),
		('TOURISM_SCALING_INDUSTRIAL_PLAYER_MADMAN', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 0),
		('TOURISM_SCALING_MODERN_PLAYER_MADMAN', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 0),
		('TOURISM_SCALING_ATOMIC_PLAYER_MADMAN', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 0),
		('TOURISM_SCALING_INFO_PLAYER_MADMAN', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 0),
		('TOURISM_SCALING_FUTURE_PLAYER_MADMAN', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 0),
		('SCIENCE_SCALING_CLASSICAL',		'Amount',	'LinearScaleFromDefaultHandicap',	0,		4),
		('SCIENCE_SCALING_MEDIEVAL',		'Amount',	'LinearScaleFromDefaultHandicap',	0,		6),
		('SCIENCE_SCALING_RENAISSANCE',		'Amount',	'LinearScaleFromDefaultHandicap',	0,		8),
		('SCIENCE_SCALING_INDUSTRIAL',		'Amount',	'LinearScaleFromDefaultHandicap',	0,		10),
		('SCIENCE_SCALING_MODERN',			'Amount',	'LinearScaleFromDefaultHandicap',	0,		12),
		('SCIENCE_SCALING_ATOMIC',			'Amount',	'LinearScaleFromDefaultHandicap',	0,		14),
		('SCIENCE_SCALING_INFO',			'Amount',	'LinearScaleFromDefaultHandicap',	0,		16),
		('SCIENCE_SCALING_FUTURE',			'Amount',	'LinearScaleFromDefaultHandicap',	0,		18),
		('CULTURE_SCALING_CLASSICAL',		'Amount',	'LinearScaleFromDefaultHandicap',	0,		4),
		('CULTURE_SCALING_MEDIEVAL',		'Amount',	'LinearScaleFromDefaultHandicap',	0,		6),
		('CULTURE_SCALING_RENAISSANCE',		'Amount',	'LinearScaleFromDefaultHandicap',	0,		8),
		('CULTURE_SCALING_INDUSTRIAL',		'Amount',	'LinearScaleFromDefaultHandicap',	0,		10),
		('CULTURE_SCALING_MODERN',			'Amount',	'LinearScaleFromDefaultHandicap',	0,		12),
		('CULTURE_SCALING_ATOMIC',			'Amount',	'LinearScaleFromDefaultHandicap',	0,		14),
		('CULTURE_SCALING_INFO',			'Amount',	'LinearScaleFromDefaultHandicap',	0,		16),
		('CULTURE_SCALING_FUTURE',			'Amount',	'LinearScaleFromDefaultHandicap',	0,		18),
		('SCIENCE_SCALING_CLASSICAL_DEITY',		'Amount',	'LinearScaleFromDefaultHandicap',	-12,		3),
		('SCIENCE_SCALING_MEDIEVAL_DEITY',		'Amount',	'LinearScaleFromDefaultHandicap',	-12,		3),
		('SCIENCE_SCALING_RENAISSANCE_DEITY',		'Amount',	'LinearScaleFromDefaultHandicap',	-12,		3),
		('SCIENCE_SCALING_INDUSTRIAL_DEITY',		'Amount',	'LinearScaleFromDefaultHandicap',	-12,		3),
		('SCIENCE_SCALING_MODERN_DEITY',		'Amount',	'LinearScaleFromDefaultHandicap',	-12,		3),
		('SCIENCE_SCALING_ATOMIC_DEITY',		'Amount',	'LinearScaleFromDefaultHandicap',	-12,		3),
		('SCIENCE_SCALING_INFO_DEITY',			'Amount',	'LinearScaleFromDefaultHandicap',	-12,		3),
		('SCIENCE_SCALING_FUTURE_DEITY',		'Amount',	'LinearScaleFromDefaultHandicap',	-12,		3),
		('CULTURE_SCALING_CLASSICAL_DEITY',		'Amount',	'LinearScaleFromDefaultHandicap',	-12,		3),
		('CULTURE_SCALING_MEDIEVAL_DEITY',		'Amount',	'LinearScaleFromDefaultHandicap',	-12,		3),
		('CULTURE_SCALING_RENAISSANCE_DEITY',		'Amount',	'LinearScaleFromDefaultHandicap',	-12,		3),
		('CULTURE_SCALING_INDUSTRIAL_DEITY',		'Amount',	'LinearScaleFromDefaultHandicap',	-12,		3),
		('CULTURE_SCALING_MODERN_DEITY',		'Amount',	'LinearScaleFromDefaultHandicap',	-12,		3),
		('CULTURE_SCALING_ATOMIC_DEITY',		'Amount',	'LinearScaleFromDefaultHandicap',	-12,		3),
		('CULTURE_SCALING_INFO_DEITY',			'Amount',	'LinearScaleFromDefaultHandicap',	-12,		3),
		('CULTURE_SCALING_FUTURE_DEITY',		'Amount',	'LinearScaleFromDefaultHandicap',	-12,		3),
		('FAITH_SCALING_CLASSICAL',			'Amount',	'LinearScaleFromDefaultHandicap',	0,		1),
		('FAITH_SCALING_MEDIEVAL',			'Amount',	'LinearScaleFromDefaultHandicap',	0,		3),
		('FAITH_SCALING_RENAISSANCE',		'Amount',	'LinearScaleFromDefaultHandicap',	0,		5),
		('FAITH_SCALING_INDUSTRIAL',		'Amount',	'LinearScaleFromDefaultHandicap',	0,		7),
		('FAITH_SCALING_MODERN',			'Amount',	'LinearScaleFromDefaultHandicap',	0,		9),
		('FAITH_SCALING_ATOMIC',			'Amount',	'LinearScaleFromDefaultHandicap',	0,		11),
		('FAITH_SCALING_INFO',				'Amount',	'LinearScaleFromDefaultHandicap',	0,		13),
		('FAITH_SCALING_FUTURE',			'Amount',	'LinearScaleFromDefaultHandicap',	0,		15),
		('PRODUCTION_SCALING_CLASSICAL',	'Amount',	'LinearScaleFromDefaultHandicap',	0,		1),
		('PRODUCTION_SCALING_MEDIEVAL',		'Amount',	'LinearScaleFromDefaultHandicap',	0,		3),
		('PRODUCTION_SCALING_RENAISSANCE',	'Amount',	'LinearScaleFromDefaultHandicap',	0,		5),
		('PRODUCTION_SCALING_INDUSTRIAL',	'Amount',	'LinearScaleFromDefaultHandicap',	0,		7),
		('PRODUCTION_SCALING_MODERN',		'Amount',	'LinearScaleFromDefaultHandicap',	0,		9),
		('PRODUCTION_SCALING_ATOMIC',		'Amount',	'LinearScaleFromDefaultHandicap',	0,		11),
		('PRODUCTION_SCALING_INFO',			'Amount',	'LinearScaleFromDefaultHandicap',	0,		13),
		('PRODUCTION_SCALING_FUTURE',			'Amount',	'LinearScaleFromDefaultHandicap',	0,		15),
		('GOLD_SCALING_CLASSICAL',			'Amount',	'LinearScaleFromDefaultHandicap',	0,		1),
		('GOLD_SCALING_MEDIEVAL',			'Amount',	'LinearScaleFromDefaultHandicap',	0,		3),
		('GOLD_SCALING_RENAISSANCE',			'Amount',	'LinearScaleFromDefaultHandicap',	0,		5),
		('GOLD_SCALING_INDUSTRIAL',			'Amount',	'LinearScaleFromDefaultHandicap',	0,		7),
		('GOLD_SCALING_MODERN',				'Amount',	'LinearScaleFromDefaultHandicap',	0,		9),
		('GOLD_SCALING_ATOMIC',				'Amount',	'LinearScaleFromDefaultHandicap',	0,		11),
		('GOLD_SCALING_INFO',				'Amount',	'LinearScaleFromDefaultHandicap',	0,		13),
		('GOLD_SCALING_FUTURE',				'Amount',	'LinearScaleFromDefaultHandicap',	0,		15),
		('FOOD_SCALING_CLASSICAL',			'Amount',	'LinearScaleFromDefaultHandicap',	0,		1),
		('FOOD_SCALING_MEDIEVAL',			'Amount',	'LinearScaleFromDefaultHandicap',	0,		3),
		('FOOD_SCALING_RENAISSANCE',			'Amount',	'LinearScaleFromDefaultHandicap',	0,		5),
		('FOOD_SCALING_INDUSTRIAL',			'Amount',	'LinearScaleFromDefaultHandicap',	0,		7),
		('FOOD_SCALING_MODERN',				'Amount',	'LinearScaleFromDefaultHandicap',	0,		9),
		('FOOD_SCALING_ATOMIC',				'Amount',	'LinearScaleFromDefaultHandicap',	0,		11),
		('FOOD_SCALING_INFO',				'Amount',	'LinearScaleFromDefaultHandicap',	0,		13),
		('FOOD_SCALING_FUTURE',				'Amount',	'LinearScaleFromDefaultHandicap',	0,		15);

--Requirement Sets
INSERT INTO RequirementSets 
		(RequirementSetId,					RequirementSetType) 
VALUES	('HIGH_DIFFICULTY_AI_CLASSICAL_ERA',	'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_ERA',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_ERA',	'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_ERA',	'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_MODERN_ERA',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_ATOMIC_ERA',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_INFO_ERA',			'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_FUTURE_ERA',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_CLASSICAL',	'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE',	'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL',	'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_MODERN',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_ATOMIC',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_INFO',			'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_FUTURE',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_CLASSICAL_DEITY',	'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_DEITY',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_DEITY',	'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_DEITY',	'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_MODERN_DEITY',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_ATOMIC_DEITY',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_INFO_DEITY',			'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_FUTURE_DEITY',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_CLASSICAL_CREATOR',	'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_CREATOR',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_CREATOR',	'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_CREATOR',	'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_MODERN_CREATOR',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_ATOMIC_CREATOR',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_INFO_CREATOR',			'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_FUTURE_CREATOR',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_CLASSICAL_MADMAN',	'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_MADMAN',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_MADMAN',	'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_MADMAN',	'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_MODERN_MADMAN',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_ATOMIC_MADMAN',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_INFO_MADMAN',			'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_FUTURE_MADMAN',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_IMMORTAL',		'REQUIREMENTSET_TEST_ALL');


INSERT INTO RequirementSetRequirements 
		(RequirementSetId,					RequirementId) 
VALUES	('HIGH_DIFFICULTY_AI_CLASSICAL_ERA',	'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_CLASSICAL_ERA',	'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_CLASSICAL_ERA',	'GAME_AT_CLASSICAL_ERA'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_ERA',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_ERA',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_ERA',		'GAME_AT_MEDIEVAL_ERA'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_ERA',	'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_ERA',	'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_ERA',	'GAME_AT_RENAISSANCE_ERA'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_ERA',	'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_ERA',	'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_ERA',	'GAME_AT_INDUSTRIAL_ERA'),
		('HIGH_DIFFICULTY_AI_MODERN_ERA',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_MODERN_ERA',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_MODERN_ERA',		'GAME_AT_MODERN_ERA'),
		('HIGH_DIFFICULTY_AI_ATOMIC_ERA',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_ATOMIC_ERA',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_ATOMIC_ERA',		'GAME_AT_ATOMIC_ERA'),
		('HIGH_DIFFICULTY_AI_INFO_ERA',			'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_INFO_ERA',			'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_INFO_ERA',			'GAME_AT_INFO_ERA'),
		('HIGH_DIFFICULTY_AI_FUTURE_ERA',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_FUTURE_ERA',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_FUTURE_ERA',		'GAME_AT_FUTURE_ERA'),
		('HIGH_DIFFICULTY_AI_CLASSICAL',	'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_CLASSICAL',	'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_CLASSICAL',	'PLAYER_AT_CLASSICAL_ERA'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL',		'PLAYER_AT_MEDIEVAL_ERA'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE',	'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE',	'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE',	'PLAYER_AT_RENAISSANCE_ERA'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL',	'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL',	'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL',	'PLAYER_AT_INDUSTRIAL_ERA'),
		('HIGH_DIFFICULTY_AI_MODERN',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_MODERN',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_MODERN',		'PLAYER_AT_MODERN_ERA'),
		('HIGH_DIFFICULTY_AI_ATOMIC',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_ATOMIC',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_ATOMIC',		'PLAYER_AT_ATOMIC_ERA'),
		('HIGH_DIFFICULTY_AI_INFO',			'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_INFO',			'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_INFO',			'PLAYER_AT_INFO_ERA'),
		('HIGH_DIFFICULTY_AI_FUTURE',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_FUTURE',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_FUTURE',		'PLAYER_AT_FUTURE_ERA'),
		('HIGH_DIFFICULTY_AI_CLASSICAL_DEITY',	'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_CLASSICAL_DEITY',	'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_CLASSICAL_DEITY',	'PLAYER_AT_CLASSICAL_ERA'),
		('HIGH_DIFFICULTY_AI_CLASSICAL_DEITY',	'REQUIRES_DEITY'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_DEITY',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_DEITY',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_DEITY',		'PLAYER_AT_MEDIEVAL_ERA'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_DEITY',		'REQUIRES_DEITY'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_DEITY',	'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_DEITY',	'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_DEITY',	'PLAYER_AT_RENAISSANCE_ERA'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_DEITY',	'REQUIRES_DEITY'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_DEITY',	'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_DEITY',	'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_DEITY',	'PLAYER_AT_INDUSTRIAL_ERA'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_DEITY',	'REQUIRES_DEITY'),
		('HIGH_DIFFICULTY_AI_MODERN_DEITY',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_MODERN_DEITY',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_MODERN_DEITY',		'PLAYER_AT_MODERN_ERA'),
		('HIGH_DIFFICULTY_AI_MODERN_DEITY',		'REQUIRES_DEITY'),
		('HIGH_DIFFICULTY_AI_ATOMIC_DEITY',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_ATOMIC_DEITY',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_ATOMIC_DEITY',		'PLAYER_AT_ATOMIC_ERA'),
		('HIGH_DIFFICULTY_AI_ATOMIC_DEITY',		'REQUIRES_DEITY'),
		('HIGH_DIFFICULTY_AI_INFO_DEITY',			'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_INFO_DEITY',			'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_INFO_DEITY',			'PLAYER_AT_INFO_ERA'),
		('HIGH_DIFFICULTY_AI_INFO_DEITY',			'REQUIRES_DEITY'),
		('HIGH_DIFFICULTY_AI_FUTURE_DEITY',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_FUTURE_DEITY',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_FUTURE_DEITY',		'PLAYER_AT_FUTURE_ERA'),
		('HIGH_DIFFICULTY_AI_FUTURE_DEITY',		'REQUIRES_DEITY'),
		('HIGH_DIFFICULTY_AI_CLASSICAL_CREATOR',	'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_CLASSICAL_CREATOR',	'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_CLASSICAL_CREATOR',	'PLAYER_AT_CLASSICAL_ERA'),
		('HIGH_DIFFICULTY_AI_CLASSICAL_CREATOR',	'REQUIRES_CREATOR'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_CREATOR',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_CREATOR',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_CREATOR',		'PLAYER_AT_MEDIEVAL_ERA'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_CREATOR',		'REQUIRES_CREATOR'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_CREATOR',	'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_CREATOR',	'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_CREATOR',	'PLAYER_AT_RENAISSANCE_ERA'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_CREATOR',	'REQUIRES_CREATOR'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_CREATOR',	'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_CREATOR',	'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_CREATOR',	'PLAYER_AT_INDUSTRIAL_ERA'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_CREATOR',	'REQUIRES_CREATOR'),
		('HIGH_DIFFICULTY_AI_MODERN_CREATOR',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_MODERN_CREATOR',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_MODERN_CREATOR',		'PLAYER_AT_MODERN_ERA'),
		('HIGH_DIFFICULTY_AI_MODERN_CREATOR',		'REQUIRES_CREATOR'),
		('HIGH_DIFFICULTY_AI_ATOMIC_CREATOR',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_ATOMIC_CREATOR',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_ATOMIC_CREATOR',		'PLAYER_AT_ATOMIC_ERA'),
		('HIGH_DIFFICULTY_AI_ATOMIC_CREATOR',		'REQUIRES_CREATOR'),
		('HIGH_DIFFICULTY_AI_INFO_CREATOR',			'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_INFO_CREATOR',			'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_INFO_CREATOR',			'PLAYER_AT_INFO_ERA'),
		('HIGH_DIFFICULTY_AI_INFO_CREATOR',			'REQUIRES_CREATOR'),
		('HIGH_DIFFICULTY_AI_FUTURE_CREATOR',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_FUTURE_CREATOR',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_FUTURE_CREATOR',		'PLAYER_AT_FUTURE_ERA'),
		('HIGH_DIFFICULTY_AI_FUTURE_CREATOR',		'REQUIRES_CREATOR'),
		('HIGH_DIFFICULTY_AI_CLASSICAL_MADMAN',	'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_CLASSICAL_MADMAN',	'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_CLASSICAL_MADMAN',	'PLAYER_AT_CLASSICAL_ERA'),
		('HIGH_DIFFICULTY_AI_CLASSICAL_MADMAN',	'REQUIRES_MADMAN'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_MADMAN',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_MADMAN',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_MADMAN',		'PLAYER_AT_MEDIEVAL_ERA'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_MADMAN',		'REQUIRES_MADMAN'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_MADMAN',	'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_MADMAN',	'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_MADMAN',	'PLAYER_AT_RENAISSANCE_ERA'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_MADMAN',	'REQUIRES_MADMAN'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_MADMAN',	'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_MADMAN',	'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_MADMAN',	'PLAYER_AT_INDUSTRIAL_ERA'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_MADMAN',	'REQUIRES_MADMAN'),
		('HIGH_DIFFICULTY_AI_MODERN_MADMAN',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_MODERN_MADMAN',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_MODERN_MADMAN',		'PLAYER_AT_MODERN_ERA'),
		('HIGH_DIFFICULTY_AI_MODERN_MADMAN',		'REQUIRES_MADMAN'),
		('HIGH_DIFFICULTY_AI_ATOMIC_MADMAN',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_ATOMIC_MADMAN',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_ATOMIC_MADMAN',		'PLAYER_AT_ATOMIC_ERA'),
		('HIGH_DIFFICULTY_AI_ATOMIC_MADMAN',		'REQUIRES_MADMAN'),
		('HIGH_DIFFICULTY_AI_INFO_MADMAN',			'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_INFO_MADMAN',			'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_INFO_MADMAN',			'PLAYER_AT_INFO_ERA'),
		('HIGH_DIFFICULTY_AI_INFO_MADMAN',			'REQUIRES_MADMAN'),
		('HIGH_DIFFICULTY_AI_FUTURE_MADMAN',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_FUTURE_MADMAN',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_FUTURE_MADMAN',		'PLAYER_AT_FUTURE_ERA'),
		('HIGH_DIFFICULTY_AI_FUTURE_MADMAN',		'REQUIRES_MADMAN'),
		('HIGH_DIFFICULTY_AI_IMMORTAL',		'REQUIRES_IMMORTAL'),
		('HIGH_DIFFICULTY_AI_IMMORTAL',	'REQUIRES_PLAYER_IS_AI');
